package models

import "rdluck_tools/orm"

type ChartPermission struct {
	ChartPermissionId   int       `description:"权限id"`
	PermissionName      string    `description:"权限名称"`
}

type ChartPermissionResp struct {
	List []*ChartPermission
}

func GetChartPermissionAll() (items []*ChartPermission, err error) {
	o:=orm.NewOrm()
	sql:=`SELECT * FROM chart_permission WHERE product_id=2 AND show_type=1 ORDER BY sort ASC `
	_,err=o.Raw(sql).QueryRows(&items)
	return
}

func GetCategoryId(chartPermissionId int)(category_id string,err error) {
	o:=orm.NewOrm()
	sql:=` SELECT GROUP_CONCAT(a.category_id) AS category_id 
			FROM cygx_permission_mapping AS a
			WHERE a.chart_permission_id=? 
			GROUP BY a.chart_permission_id `
	err=o.Raw(sql,chartPermissionId).QueryRow(&category_id)
	return
}

func GetChartPermissionReportAll() (items []*ChartPermission, err error) {
	o:=orm.NewOrm()
	sql:=`SELECT * FROM chart_permission WHERE product_id=2 AND is_report=1 ORDER BY sort ASC `
	_,err=o.Raw(sql).QueryRows(&items)
	return
}