package models

import (
	"hongze/hongze_cygx/utils"
	_ "github.com/go-sql-driver/mysql"
	"time"

	"rdluck_tools/orm"
)

func init() {

	_ = orm.RegisterDataBase("default", "mysql", utils.MYSQL_URL)
	orm.SetMaxIdleConns("default", 50)
	orm.SetMaxOpenConns("default", 100)


	db, _ := orm.GetDB("default")
	db.SetConnMaxLifetime(10 * time.Minute)

	_ = orm.RegisterDataBase("rddp", "mysql", utils.MYSQL_URL_RDDP)
	orm.SetMaxIdleConns("rddp", 50)
	orm.SetMaxOpenConns("rddp", 100)

	report_db, _ := orm.GetDB("rddp")
	report_db.SetConnMaxLifetime(10 * time.Minute)

	orm.RegisterDataBase("tactics", "mysql", utils.MYSQL_URL_TACTICS)
	orm.SetMaxIdleConns("tactics", 50)
	orm.SetMaxOpenConns("tactics", 100)

	tacticsDb,_:=orm.GetDB("tactics")
	tacticsDb.SetConnMaxLifetime(10 * time.Minute)

	//注册对象
	orm.RegisterModel(
		new(WxUser),
		new(CygxSession),
		new(WxUserLog),
		new(WxUserCode),
		new(CygxArticleCollect),
		new(CygxArticleViewRecord),
		new(CygxAdvice),
		new(MsgCode),
		new(Resource),
		new(CygxApplyRecord),
		new(CygxInterviewApply),
		new(CygxArticle),
		new(CygxArticleHistoryRecord),
		new(CygxSearchKeyWord),
		new(UserRecord),
	)
}
