package models

import (
	"rdluck_tools/orm"
	"rdluck_tools/paging"
)

type SearchItem struct {
	ArticleId   int      `description:"文章id"`
	Body        []string `description:"搜索结果"`
	Title       string   `description:"标题"`
	PublishDate string   `description:"发布时间"`
}

type CategoryItem struct {
	CategoryName string
}

func GetCategoryByCompanyId(companyId int) (items []*CategoryItem, err error) {
	o := orm.NewOrm()
	sql := `SELECT b.chart_permission_id,d.category_name FROM company_product AS a
			INNER JOIN company_report_permission AS b ON a.company_id=b.company_id AND a.product_id=b.product_id
			INNER JOIN cygx_permission_mapping AS d ON b.chart_permission_id=d.chart_permission_id
			WHERE a.product_id=2
			AND a.company_id=?`
	_, err = o.Raw(sql, companyId).QueryRows(&items)
	return
}

type SearchResp struct {
	Paging *paging.PagingItem
	List   []*SearchItem
}